from sept 2017 facebook conversation around autism / asperberger's
---
I'll probably regret saying this, but I think we should be comfortable with some people being more intelligent than other people. Even if we accept Gardner's theory, there are people who are more gifted in every way. For example, when I attended a relatively nonselective undergraduate university, I was acutely aware that I was less gifted in every way to many people, including my first-year roommate (who went on to get a PhD) and especially to a 15-year prodigy classmate who was a standout musically, logically, and kinesthetically.

Allowing for these differences is something that people need to be comfortable with, otherwise envy will destroy their lives.

I've also got some limited personal experience with learning disabilities given that my mother has a Master's in Early Childhood Development and worked with autistic children for many years. And in my home, like many of the privileged middle-class world, getting a C was regarded as a sign of a learning disability in myself or my 3 brothers - suffice it to say that diagnoses were made. Among other diagnoses, one brother has dyslexia but was generally more gifted academically than the rest of us.

One thing that I hope happens more is figuring out how to address the gaps in the diagnosis. For example, on the non-autism (general intellectual disability, quite different) side, IQ < 70 can be diagnosed clinically and receive special help, but IQ < 100 can seriously struggle in the weird modern world or a place like Wikipedia and these people often receive only scorn - they are probably more likely to believe in pseudoscience and may struggle to be articulate. 

On the autism spectrum (or at least social difficulty spectrum), a prominent software engineer (Rod Vagg of the nodejs project) was recently accused of opposing Codes of Conduct and essentially encouraging a hostile environment on an open-source project for tweeting out http://quillette.com/2017/07/18/neurodiversity-case-free-speech/